summaryrefslogtreecommitdiff
path: root/src/templating/dotest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/templating/dotest.sh')
-rwxr-xr-xsrc/templating/dotest.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/src/templating/dotest.sh b/src/templating/dotest.sh
index 13688f3e9..993a1f266 100755
--- a/src/templating/dotest.sh
+++ b/src/templating/dotest.sh
@@ -10,9 +10,10 @@ mustach="../mustach"
echo "starting test"
if test "$NOVALGRIND" = 1
then
+ strace -f $mustach "$@"
$mustach "$@" > resu.last || exit_fail "ERROR! mustach command failed ($?)!"
else
- valgrind $mustach "$@" > resu.last 2> vg.last || exit_fail "ERROR! mustach command failed ($?)!"
+ valgrind $mustach "$@" > resu.last 2> vg.last || exit_fail "ERROR! valgrind + mustach command failed ($?)!"
sed -i 's:^==[0-9]*== ::' vg.last
awk '/^ *total heap usage: .* allocs, .* frees,.*/{if($$4-$$6)exit(1)}' vg.last || exit_fail "ERROR! Alloc/Free issue"
fi